{
  stdenv,
  fetchFromGitHub,
  lib,
  pidgin,
  glib,
  json-glib
}:

stdenv.mkDerivation rec {
  pname = "purple-teams";
  version = "2023-06-26";
  src = fetchFromGitHub {
    owner = "EionRobb";
    repo = pname;
    rev = "9065c077808497afdc3d813b83a7f65de9f16ae8";
    sha256 = "JYhduS40jlJEYH4kJW+bNWKpzXqUgm6un6YWejUyQP8=";
  };

  PKG_CONFIG_PURPLE_PLUGINDIR = "${placeholder "out"}/lib/purple-2";
  PKG_CONFIG_PURPLE_DATAROOTDIR = "${placeholder "out"}/share";

  nativeBuildInputs = [
    pidgin
    glib
    json-glib
  ];

  meta = with lib; {
    homepage = "https://github.com/EionRobb/purple-teams";
    description = "Plugin for Pidgin which adds support for Microsoft Teams";
    license = licenses.gpl3;
    platforms = platforms.linux;
  };
}
